Index: auparse/Makefile.am
===================================================================
--- a/auparse/Makefile.am	(révision 1290)
+++ b/auparse/Makefile.am	(copie de travail)
@@ -84,9 +84,11 @@
 $(gen_accesstabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_accesstabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_accesstabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_accesstabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_accesstabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_accesstabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_accesstabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_accesstabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 accesstabs.h: gen_accesstabs_h Makefile
 	./gen_accesstabs_h --i2s-transtab access > $@
 
@@ -95,9 +97,11 @@
 $(gen_captabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_captabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_captabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_captabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_captabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_captabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_captabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_captabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 captabs.h: gen_captabs_h Makefile
 	./gen_captabs_h --i2s cap > $@
 
@@ -106,9 +110,11 @@
 $(gen_clock_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_clock_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_clock_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_clock_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_clock_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_clock_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_clock_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_clock_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 clocktabs.h: gen_clock_h Makefile
 	./gen_clock_h --i2s clock > $@
 
@@ -118,9 +124,11 @@
 $(gen_clone_flagtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_clone_flagtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_clone_flagtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_clone_flagtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_clone-flagtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_clone-flagtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_clone-flagtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_clone-flagtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 clone-flagtabs.h: gen_clone-flagtabs_h Makefile
 	./gen_clone-flagtabs_h --i2s-transtab clone_flag > $@
 
@@ -129,9 +137,11 @@
 $(gen_epoll_ctls_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_epoll_ctls_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_epoll_ctls_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_epoll_ctls_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_epoll_ctls_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_epoll_ctls_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_epoll_ctls_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_epoll_ctls_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 epoll_ctls.h: gen_epoll_ctls_h Makefile
 	./gen_epoll_ctls_h --i2s epoll_ctl > $@
 
@@ -140,9 +150,11 @@
 $(gen_famtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_famtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_famtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_famtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_famtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_famtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_famtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_famtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 famtabs.h: gen_famtabs_h Makefile
 	./gen_famtabs_h --i2s fam > $@
 
@@ -152,9 +164,11 @@
 $(gen_flagtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_flagtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_flagtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_flagtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_flagtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_flagtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_flagtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_flagtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 flagtabs.h: gen_flagtabs_h Makefile
 	./gen_flagtabs_h --i2s-transtab flag > $@
 
@@ -164,9 +178,11 @@
 $(gen_fcntl_cmdtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_fcntl_cmdtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_fcntl_cmdtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_fcntl_cmdtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_fcntl-cmdtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_fcntl-cmdtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_fcntl-cmdtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_fcntl-cmdtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 fcntl-cmdtabs.h: gen_fcntl-cmdtabs_h Makefile
 	./gen_fcntl-cmdtabs_h --i2s fcntl > $@
 
@@ -175,9 +191,11 @@
 $(gen_icmptypetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_icmptypetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_icmptypetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_icmptypetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_icmptypetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_icmptypetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_icmptypetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_icmptypetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 icmptypetabs.h: gen_icmptypetabs_h Makefile
 	./gen_icmptypetabs_h --i2s icmptype > $@
 
@@ -186,9 +204,11 @@
 $(gen_ioctlreqtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ioctlreqtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ioctlreqtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ioctlreqtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ioctlreqtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ioctlreqtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ioctlreqtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ioctlreqtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ioctlreqtabs.h: gen_ioctlreqtabs_h Makefile
 	./gen_ioctlreqtabs_h --i2s ioctlreq > $@
 
@@ -197,9 +217,11 @@
 $(gen_ipctabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ipctabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ipctabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ipctabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ipctabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ipctabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ipctabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ipctabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ipctabs.h: gen_ipctabs_h Makefile
 	./gen_ipctabs_h --i2s ipc > $@
 
@@ -208,9 +230,11 @@
 $(gen_ipccmdtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ipccmdtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ipccmdtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ipccmdtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ipccmdtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ipccmdtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ipccmdtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ipccmdtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ipccmdtabs.h: gen_ipccmdtabs_h Makefile
 	./gen_ipccmdtabs_h --i2s-transtab ipccmd > $@
 
@@ -219,9 +243,11 @@
 $(gen_ipoptnametabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ipoptnametabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ipoptnametabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ipoptnametabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ipoptnametabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ipoptnametabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ipoptnametabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ipoptnametabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ipoptnametabs.h: gen_ipoptnametabs_h Makefile
 	./gen_ipoptnametabs_h --i2s ipoptname > $@
 
@@ -230,9 +256,11 @@
 $(gen_ip6optnametabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ip6optnametabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ip6optnametabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ip6optnametabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ip6optnametabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ip6optnametabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ip6optnametabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ip6optnametabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ip6optnametabs.h: gen_ip6optnametabs_h Makefile
 	./gen_ip6optnametabs_h --i2s ip6optname > $@
 
@@ -241,9 +269,11 @@
 $(gen_mmaptabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_mmaptabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_mmaptabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_mmaptabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_mmaptabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_mmaptabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_mmaptabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_mmaptabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 mmaptabs.h: gen_mmaptabs_h Makefile
 	./gen_mmaptabs_h --i2s-transtab mmap > $@
 
@@ -252,9 +282,11 @@
 $(gen_mounttabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_mounttabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_mounttabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_mounttabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_mounttabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_mounttabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_mounttabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_mounttabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 mounttabs.h: gen_mounttabs_h Makefile
 	./gen_mounttabs_h --i2s-transtab mount > $@
 
@@ -263,9 +295,11 @@
 $(gen_nfprototabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_nfprototabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_nfprototabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_nfprototabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_nfprototabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_nfprototabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_nfprototabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_nfprototabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 nfprototabs.h: gen_nfprototabs_h Makefile
 	./gen_nfprototabs_h --i2s nfproto > $@
 
@@ -275,9 +309,11 @@
 $(gen_open_flagtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_open_flagtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_open_flagtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_open_flagtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_open-flagtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_open-flagtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_open-flagtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_open-flagtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 open-flagtabs.h: gen_open-flagtabs_h Makefile
 	./gen_open-flagtabs_h --i2s-transtab open_flag > $@
 
@@ -286,9 +322,11 @@
 $(gen_persontabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_persontabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_persontabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_persontabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_persontabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_persontabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_persontabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_persontabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 persontabs.h: gen_persontabs_h Makefile
 	./gen_persontabs_h --i2s person > $@
 
@@ -297,9 +335,11 @@
 $(gen_ptracetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ptracetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ptracetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ptracetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ptracetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ptracetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ptracetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ptracetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ptracetabs.h: gen_ptracetabs_h Makefile
 	./gen_ptracetabs_h --i2s ptrace > $@
 
@@ -308,9 +348,11 @@
 $(gen_prctl_opttabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_prctl_opttabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_prctl_opttabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_prctl_opttabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_prctl_opttabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_prctl_opttabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_prctl_opttabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_prctl_opttabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 prctl_opttabs.h: gen_prctl_opttabs_h Makefile
 	./gen_prctl_opttabs_h --i2s prctl_opt > $@
 
@@ -319,9 +361,11 @@
 $(gen_pktoptnametabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_pktoptnametabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_pktoptnametabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_pktoptnametabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_pktoptnametabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_pktoptnametabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_pktoptnametabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_pktoptnametabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 pktoptnametabs.h: gen_pktoptnametabs_h Makefile
 	./gen_pktoptnametabs_h --i2s pktoptname > $@
 
@@ -330,9 +374,11 @@
 $(gen_prottabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_prottabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_prottabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_prottabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_prottabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_prottabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_prottabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_prottabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 prottabs.h: gen_prottabs_h Makefile
 	./gen_prottabs_h --i2s-transtab prot > $@
 
@@ -341,9 +387,11 @@
 $(gen_recvtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_recvtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_recvtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_recvtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_recvtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_recvtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_recvtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_recvtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 recvtabs.h: gen_recvtabs_h Makefile
 	./gen_recvtabs_h --i2s-transtab recv > $@
 
@@ -352,9 +400,11 @@
 $(gen_rlimit_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_rlimit_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_rlimit_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_rlimit_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_rlimit_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_rlimit_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_rlimit_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_rlimit_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 rlimittabs.h: gen_rlimit_h Makefile
 	./gen_rlimit_h --i2s rlimit > $@
 
@@ -363,9 +413,11 @@
 $(gen_schedtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_schedtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_schedtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_schedtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_schedtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_schedtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_schedtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_schedtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 schedtabs.h: gen_schedtabs_h Makefile
 	./gen_schedtabs_h --i2s sched > $@
 
@@ -374,9 +426,11 @@
 $(gen_seccomptabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_seccomptabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_seccomptabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_seccomptabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_seccomptabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_seccomptabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_seccomptabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_seccomptabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 seccomptabs.h: gen_seccomptabs_h Makefile
 	./gen_seccomptabs_h --i2s seccomp > $@
 
@@ -385,9 +439,11 @@
 $(gen_seektabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_seektabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_seektabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_seektabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_seektabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_seektabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_seektabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_seektabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 seektabs.h: gen_seektabs_h Makefile
 	./gen_seektabs_h --i2s seek > $@
 
@@ -396,9 +452,11 @@
 $(gen_shm_modetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_shm_modetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_shm_modetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_shm_modetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_shm_modetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_shm_modetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_shm_modetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_shm_modetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 shm_modetabs.h: gen_shm_modetabs_h Makefile
 	./gen_shm_modetabs_h --i2s-transtab shm_mode > $@
 
@@ -407,9 +465,11 @@
 $(gen_signals_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_signals_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_signals_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_signals_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_signals_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_signals_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_signals_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_signals_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 signaltabs.h: gen_signals_h Makefile
 	./gen_signals_h --i2s signal > $@
 
@@ -418,9 +478,11 @@
 $(gen_sockleveltabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_sockleveltabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_sockleveltabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_sockleveltabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_sockleveltabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_sockleveltabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_sockleveltabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_sockleveltabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 sockleveltabs.h: gen_sockleveltabs_h Makefile
 	./gen_sockleveltabs_h --i2s socklevel > $@
 
@@ -429,9 +491,11 @@
 $(gen_sockoptnametabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_sockoptnametabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_sockoptnametabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_sockoptnametabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_sockoptnametabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_sockoptnametabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_sockoptnametabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_sockoptnametabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 sockoptnametabs.h: gen_sockoptnametabs_h Makefile
 	./gen_sockoptnametabs_h --i2s sockoptname > $@
 
@@ -440,9 +504,11 @@
 $(gen_socktabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_socktabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_socktabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_socktabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_socktabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_socktabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_socktabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_socktabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 socktabs.h: gen_socktabs_h Makefile
 	./gen_socktabs_h --i2s sock > $@
 
@@ -451,9 +517,11 @@
 $(gen_socktypetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_socktypetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_socktypetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_socktypetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_socktypetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_socktypetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_socktypetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_socktypetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 socktypetabs.h: gen_socktypetabs_h Makefile
 	./gen_socktypetabs_h --i2s sock_type > $@
 
@@ -462,9 +530,11 @@
 $(gen_tcpoptnametabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_tcpoptnametabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_tcpoptnametabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_tcpoptnametabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_tcpoptnametabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_tcpoptnametabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_tcpoptnametabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_tcpoptnametabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 tcpoptnametabs.h: gen_tcpoptnametabs_h Makefile
 	./gen_tcpoptnametabs_h --i2s tcpoptname > $@
 
@@ -473,9 +543,11 @@
 $(gen_typetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_typetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_typetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_typetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_typetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_typetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_typetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_typetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 typetabs.h: gen_typetabs_h Makefile
 	./gen_typetabs_h --s2i type > $@
 
@@ -484,9 +556,11 @@
 $(gen_umounttabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_umounttabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_umounttabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_umounttabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_umounttabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_umounttabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_umounttabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_umounttabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 umounttabs.h: gen_umounttabs_h Makefile
 	./gen_umounttabs_h --i2s-transtab umount > $@
 
@@ -495,9 +569,11 @@
 $(gen_inethooktabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_inethooktabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_inethooktabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_inethooktabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_inethooktabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_inethooktabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_inethooktabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_inethooktabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 inethooktabs.h: gen_inethooktabs_h Makefile
 	./gen_inethooktabs_h --i2s inethook > $@
 
@@ -506,9 +582,11 @@
 $(gen_netactiontabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_netactiontabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_netactiontabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_netactiontabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_netactiontabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_netactiontabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_netactiontabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_netactiontabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 netactiontabs.h: gen_netactiontabs_h Makefile
 	./gen_netactiontabs_h --i2s netaction > $@
 
Index: lib/Makefile.am
===================================================================
--- a/lib/Makefile.am	(révision 1290)
+++ b/lib/Makefile.am	(copie de travail)
@@ -74,9 +74,11 @@
 $(gen_actiontabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_actiontabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_actiontabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_actiontabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_actiontabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_actiontabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_actiontabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_actiontabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 actiontabs.h: gen_actiontabs_h Makefile
 	./gen_actiontabs_h --lowercase --i2s --s2i action > $@
 
@@ -86,9 +88,11 @@
 $(gen_alpha_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_alpha_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_alpha_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_alpha_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_alpha_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_alpha_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_alpha_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_alpha_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 alpha_tables.h: gen_alpha_tables_h Makefile
 	./gen_alpha_tables_h --lowercase --i2s --s2i alpha_syscall > $@
 endif
@@ -99,9 +103,11 @@
 $(gen_arm_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_arm_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_arm_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_arm_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_arm_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_arm_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_arm_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_arm_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 arm_tables.h: gen_arm_tables_h Makefile
 	./gen_arm_tables_h --lowercase --i2s --s2i arm_syscall > $@
 endif
@@ -112,9 +118,11 @@
 $(gen_aarch64_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_aarch64_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_aarch64_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_aarch64_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_aarch64_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_aarch64_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_aarch64_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_aarch64_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 aarch64_tables.h: gen_aarch64_tables_h Makefile
 	./gen_aarch64_tables_h --lowercase --i2s --s2i aarch64_syscall > $@
 endif
@@ -124,9 +132,11 @@
 $(gen_errtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_errtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_errtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_errtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_errtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_errtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_errtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_errtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 errtabs.h: gen_errtabs_h Makefile
 	./gen_errtabs_h --duplicate-ints --uppercase --i2s --s2i err > $@
 
@@ -135,9 +145,11 @@
 $(gen_fieldtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_fieldtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_fieldtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_fieldtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_fieldtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_fieldtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_fieldtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_fieldtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 fieldtabs.h: gen_fieldtabs_h Makefile
 	./gen_fieldtabs_h --duplicate-ints --lowercase --i2s --s2i field > $@
 
@@ -146,9 +158,11 @@
 $(gen_flagtabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_flagtabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_flagtabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_flagtabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_flagtabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_flagtabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_flagtabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_flagtabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 flagtabs.h: gen_flagtabs_h Makefile
 	./gen_flagtabs_h --lowercase --i2s --s2i flag > $@
 
@@ -157,9 +171,11 @@
 $(gen_ftypetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ftypetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ftypetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ftypetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ftypetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ftypetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ftypetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ftypetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ftypetabs.h: gen_ftypetabs_h Makefile
 	./gen_ftypetabs_h --lowercase --i2s --s2i ftype > $@
 
@@ -168,9 +184,11 @@
 $(gen_i386_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_i386_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_i386_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_i386_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_i386_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_i386_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_i386_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_i386_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 i386_tables.h: gen_i386_tables_h Makefile
 	./gen_i386_tables_h --duplicate-ints --lowercase --i2s --s2i \
 		i386_syscall > $@
@@ -180,9 +198,11 @@
 $(gen_ia64_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ia64_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ia64_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ia64_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ia64_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ia64_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ia64_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ia64_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ia64_tables.h: gen_ia64_tables_h Makefile
 	./gen_ia64_tables_h --lowercase --i2s --s2i ia64_syscall > $@
 
@@ -191,9 +211,11 @@
 $(gen_machinetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_machinetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_machinetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_machinetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_machinetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_machinetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_machinetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_machinetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 machinetabs.h: gen_machinetabs_h Makefile
 	./gen_machinetabs_h --duplicate-ints --lowercase --i2s --s2i machine \
 		> $@
@@ -203,9 +225,11 @@
 $(gen_msg_typetabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_msg_typetabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_msg_typetabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_msg_typetabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_msg_typetabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_msg_typetabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_msg_typetabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_msg_typetabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 msg_typetabs.h: gen_msg_typetabs_h Makefile
 	./gen_msg_typetabs_h --uppercase --i2s --s2i msg_type > $@
 
@@ -214,9 +238,11 @@
 $(gen_optabs_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_optabs_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_optabs_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_optabs_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_optabs_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_optabs_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_optabs_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_optabs_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 optabs.h: gen_optabs_h Makefile
 	./gen_optabs_h --i2s op > $@
 
@@ -225,9 +251,11 @@
 $(gen_ppc_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_ppc_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_ppc_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_ppc_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_ppc_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_ppc_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_ppc_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_ppc_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 ppc_tables.h: gen_ppc_tables_h Makefile
 	./gen_ppc_tables_h --lowercase --i2s --s2i ppc_syscall > $@
 
@@ -236,9 +264,11 @@
 $(gen_s390_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_s390_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_s390_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_s390_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_s390_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_s390_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_s390_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_s390_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 s390_tables.h: gen_s390_tables_h Makefile
 	./gen_s390_tables_h --lowercase --i2s --s2i s390_syscall > $@
 
@@ -247,9 +277,11 @@
 $(gen_s390x_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_s390x_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_s390x_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_s390x_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_s390x_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_s390x_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_s390x_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_s390x_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 s390x_tables.h: gen_s390x_tables_h Makefile
 	./gen_s390x_tables_h --lowercase --i2s --s2i s390x_syscall > $@
 
@@ -258,8 +290,10 @@
 $(gen_x86_64_tables_h_OBJECTS): CC=$(CC_FOR_BUILD)
 $(gen_x86_64_tables_h_OBJECTS): CFLAGS=$(CFLAGS_FOR_BUILD)
 $(gen_x86_64_tables_h_OBJECTS): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+$(gen_x86_64_tables_h_OBJECTS): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 gen_x86_64_tables_h$(BUILD_EXEEXT): CC=$(CC_FOR_BUILD)
 gen_x86_64_tables_h$(BUILD_EXEEXT): CFLAGS=$(CFLAGS_FOR_BUILD)
 gen_x86_64_tables_h$(BUILD_EXEEXT): CPPFLAGS=$(CPPFLAGS_FOR_BUILD)
+gen_x86_64_tables_h$(BUILD_EXEEXT): LDFLAGS=$(LDFLAGS_FOR_BUILD)
 x86_64_tables.h: gen_x86_64_tables_h Makefile
 	./gen_x86_64_tables_h --lowercase --i2s --s2i x86_64_syscall > $@
